SYSTEMD-UDEVD.SERVICE(8)

BEZEICHNUNG
systemd-udevd.service, systemd-udevd-control.socket, systemd-udevd-kernel.socket, systemd-udevd - Verwaltungs-Deamon für Geräteereignisse

ÜBERSICHT

systemd-udevd.service

systemd-udevd-control.socket

systemd-udevd-kernel.socket

/lib/systemd/systemd-udevd [--daemon] [--debug] [--children-max=] [--exec-delay=] [--event-timeout=] [--resolve-names=early|late|never] [--version] [--help]

BESCHREIBUNG

systemd-udevd wartet auf Kernel-Uevents. Für jedes Ereignis führt systemd-udevd die passenden, in den Udev-Regeln festgelegten Anweisungen durch. Siehe udev(7).

Das Verhalten des Daemons kann mittles udev.conf(5), seinen Befehlszeilenoptionen, Umgebungsvariablen und auf der Kernel-Befehlszeile konfiguriert oder dynamisch mittels udevadm control geändert werden.

OPTIONEN

-d, --daemon
    Abtrennen und im Hintergrund ausführen.

-D, --debug
    Fehlersuchmeldungen auf die Standardfehlerausgabe ausgeben.

-c, --children-max=
    Die Anzahl parallel ausgeführter Ereignisse begrenzen.

-e, --exec-delay=
    Die Ausführung von jedem LAUF{Programm}-Parameter um die angegebene Anzahl von Sekunden verzögern. Diese Option könnte bei der Fehlersuche in Systemabstürzen durch Geräte, die vor dem Start eingesteckt und durch das Laden von Kernel-Modulen ausgelöst werden, nützlich sein.

-t, --event-timeout=
    Setzt die Anzahl von Sekunden, die auf den Abschluss von Ereignissen gewartet werden soll. Nach dieser Zeit wird das Ereignis beendet. Die Vorgabe ist 180 Sekunden.

-s, --timeout-signal=
    Setzt das Signal, das Systemd-udevd an den mit Fork gestarteten Prozess senden wird, nachdem es die Zeitüberschreitung erreicht hat. Diese Einstellung kann zum Systemstartzeitpunkt mit der Kernel-Befehlszeilenoption udev.timeout_signal= außer Kraft gesetzt werden. Um Fehler in der Zeitüberschreitung bei Arbeitsprozessen zu finden, kann die Einstellung SIGABRT hilfreich sein. Standardmäßig SIGKILL. Beachten Sie, dass die Einstellung auf der Befehlszeile die Einstellung aus der Konfigurationsdatei außer Kraft setzt.

-N, --resolve-names=
    Legt fest, wann Systemd-udevd Namen von Benutzern und Gruppen auflösen soll. Falls auf early (die Vorgabe) gesetzt, werden Namen aufgelöst, wenn die Regeln ausgewertet werden. Falls auf late gesetzt, werden die Namen für jedes Ereignis aufgelöst. Falls auf never gesetzt, werden die Namen niemals aufgelöst und alle Geräte gehören Root.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

KERNEL-BEFEHLSZEILE

Parameter, die mit »rd.« beginnen, werden von systemd-udevd gelesen, wenn sie in einer Initrd verwandt werden. Die anderen werden sowohl in der Initrd als auch im Rechner verarbeitet.

udev.log_level=, rd.udev.log_level=
    Setzt die Protokollierstufe.

udev.children_max=, rd.udev.children_max=
    Die Anzahl parallel ausgeführter Ereignisse begrenzen.

udev.exec_delay=, rd.udev.exec_delay=
    Die Ausführung von jedem LAUF{Programm}-Parameter um die angegebene Anzahl von Sekunden verzögern. Diese Option könnte bei der Fehlersuche in Systemabstürzen durch Geräte, die vor dem Start eingesteckt und durch das Laden von Kernel-Modulen ausgelöst werden, nützlich sein.

udev.event_timeout=, rd.udev.event_timeout=
    Wartet auf den Abschluss von Ereignis in der angegebenen Anzahl von Sekunden. Diese Option könnte nützlich sein, falls Ereignisse aufgrund von Kerneltreibern, die für die Initialisierung zu lange benötigen, beendet werden.

udev.timeout_signal=, rd.udev.timeout_signal=
    Legt ein Signal fest, das Systemd-udevd bei einer Zeitüberschreitung an Arbeitsprozesse senden wird. Beachten Sie, dass die Kernel-Befehlszeilenoption sowohl die Einstellung in der Konfigurationsdatei als auch die auf der Programm-Befehlszeile außer Kraft setzen wird.

udev.blockdev_read_only, rd.udev.blockdev_read_only
    Falls festgelegt, werden alle physischen Blockgeräte beim Auftauchen als schreibgeschützt markiert. Synthetische Blockgeräte (wie das Loopback-Blockgerät oder Device-Mapper-Geräte) verbleiben, wie sie sind. Dies ist nützlich, um zu garantieren, dass der Inhalt von physischen Blockgeräten während der Laufzeit unverändert verbleibt, beispielsweise um vollständig zustandslose Systeme zu implementieren, zum Testen oder für Rettungssituationen, bei denen beschädigte Dateisysteme nicht weiter durch versehentliche Änderungen beschädigt werden sollen.

    Ein Blockgerät kann wieder als beschreibbar markiert werden, indem der Befehl blockdev --setrw erteilt wird, siehe blockdev(8) für Details.

net.ifnames=
    Netzwerkschnittstellen werden umbenannt, um ihnen, wenn möglich, vorhersagbare Namen zu geben. Dies ist standardmäßig aktiviert, durch Angabe von 0 wird dies deaktiviert.

net.naming-scheme=
    Netzwerkschnittstellen werden umbenannt, um ihnen, wenn möglich, vorhersagbare Namen zu geben (außer net.ifnames=0 ist festgelegt, siehe oben). Mit dieser Kernelbefehlszeilenoption ist es möglich, eine bestimmte Version dieses Algorithmus auszuwählen und die beim Kompilieren gewählte Vorgabe außer Kraft zu setzen. Erwartet einen der in systemd.net-naming-scheme(7) aufgeführten Benennungsschemakennzeichner oder »latest«, um das neuste bekannte Schema auszuwählen (bezüglich dieser bestimmten Version von systemd-udevd.service).

    Beachten Sie, dass die Auswahl eines bestimmten Schemas nicht ausreichend ist, um die Schnittstellenbenennung vollständig zu stabilisieren: die Benennung wird im allgemeinen aus vom Kernel offengelegten Treiberattributen abgeleitet. Wird der Kernel aktualisiert, dann könnten bisher fehlende, aber von systemd-udevd.service überprüfte Attribute auftauchen, die auch ältere Namensableitungsalgorithmen betreffen.

net.ifname-policy=Richtlinie1[,Richtlinie2,…][,MAC]
    Legt die Benennungsrichtlinien fest, die bei der Umbenennung von Netzwerkschnittstellen angewandt werden. Akzeptiert eine Liste von Richtlinien und eine durch Kommata abgetrennte MAC-Adresse. Jeder Richtlinienwert muss eine der in der Einstellung NamePolicy= in .link-Dateien verstandenen Richtlinien sein, z.B. »onboard« oder »path«. Siehe systemd.link(5) für weitere Details. Wenn die MAC-Adresse festgelegt ist, werden die Richtlinien auf die Schnittstelle angewandt, die diese Adresse hat. Wenn keine MAC-Adresse festgelegt ist, werden die Richtlinien auf alle Schnittstellen angewandt. Das Kernelbefehlszeilenargument kann mehrfach angegeben werden.

    Dieses Argument wird nicht direkt von systemd-udevd gelesen, sondern stattdessen durch systemd-network-generator.service(8) in eine .link-Dateien umgewandelt. Damit dieses Argument wirksam wird, muss systemd-network-generator.service aktiviert werden.

    Beispiel:

        net.ifname-policy=keep,kernel,path,slot,onboard,01:23:45:67:89:ab
        net.ifname-policy=keep,kernel,path,slot,onboard,mac

    Dies ist größtenteils äquivalent zur Erstellung folgender .link-Dateien:

        # 91-name-policy-with-mac.link
        [Match]
        MACAddress=01:23:45:67:89:ab
        [Link]
        NamePolicy=keep kernel path slot onboard
        AlternativeNamePolicy=path slot onboard

    und

        # 92-name-policy-for-all.link
        [Match]
        OriginalName=*
        [Link]
        NamePolicy=keep kernel path slot onboard mac
        AlternativeNamePolicy=path slot onboard mac

SIEHE AUCH

udev.conf(5), udev(7), udevadm(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).